Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.cluster
Interface ClusterNodeInfo

    public interface ClusterNodeInfo

Basic information about a cluster node.

Author:
  Gaston Dombiak

Method Summary
`String` | `getHostName()` Returns the hostname where the cluster node is running.
`long` | `getJoinedTime()` Return the date/time value (in cluster time) that the Member joined.
`NodeID` | `getNodeID()` Returns the ID that uniquely identifies this node.
`boolean` | `isSeniorMember()` Returns true if this member is the senior member in the cluster.

Method Detail

### getHostName

    String getHostName()

  Returns the hostname where the cluster node is running.

  Returns:
    the hostname where the cluster node is running.

### getNodeID

    NodeID getNodeID()

  Returns the ID that uniquely identifies this node.

  Returns:
    the ID that uniquely identifies this node.

### getJoinedTime

    long getJoinedTime()

  Return the date/time value (in cluster time) that the Member joined.

  Returns:
    the date/time value (in cluster time) that the Member joined.

### isSeniorMember

    boolean isSeniorMember()

  Returns true if this member is the senior member in the cluster.

  Returns:
    true if this cluster member is the senior.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.